#include "ripemd.h"
typedef struct {
	RIPEMD160_CTX ictx,octx;
} ripemd_hmac_context;
#define RIPEMD160_BLOCKSIZE 64
#define RIPEMD160_HASHLEN   20

void ripemd_hmac_hash(ripemd_hmac_context *hctx, const __u8 * dat, int len, __u8 * hash, int hashlen);
void ripemd_hmac_set_key(ripemd_hmac_context *hctx, const __u8 * key, int keylen);
