RCSID $Id: net.netlink.netlink_dev.c,v 1.1 2000/06/30 19:44:40 rgb Exp $
--- ./net/netlink/netlink_dev.c.preipsec	Thu Jun 22 01:31:03 2000
+++ ./net/netlink/netlink_dev.c	Fri Jun 30 15:23:51 2000
@@ -110,9 +110,10 @@
 
 	if (minor>=MAX_LINKS)
 		return -ENODEV;
-	if (open_map&(1<<minor))
+	if (netlink_open_map&(1<<minor))
 		return -EBUSY;
 
++       netlink_open_map |= (1<<minor);
 	open_map |= (1<<minor);
 
 	err = sock_create(PF_NETLINK, SOCK_RAW, minor, &sock);
@@ -141,7 +142,7 @@
 	struct socket *sock = netlink_user[minor];
 
 	netlink_user[minor] = NULL;
-	open_map &= ~(1<<minor);
+	netlink_open_map &= ~(1<<minor);
 	sock_release(sock);
 	return 0;
 }
