RCSID $Id: net.netlink.af_netlink.c,v 1.2 2000/06/30 19:59:12 rgb Exp $
--- ./net/netlink/af_netlink.c.preipsec	Mon Apr 24 16:43:05 2000
+++ ./net/netlink/af_netlink.c	Fri Jun 30 15:01:28 2000
@@ -65,6 +65,7 @@
 
 #ifdef NL_EMULATE_DEV
 static struct socket *netlink_kernel[MAX_LINKS];
+unsigned netlink_open_map = 0;
 #endif
 
 static int netlink_dump(struct sock *sk);
@@ -843,6 +844,7 @@
 	struct sock *sk = netlink_kernel_create(unit, NULL);
 	if (sk == NULL)
 		return -ENOBUFS;
+	netlink_open_map&=~(1<<unit);
 	sk->protinfo.af_netlink->handler = function;
 	write_lock_bh(&nl_emu_lock);
 	netlink_kernel[unit] = sk->socket;
@@ -860,6 +862,7 @@
 	write_unlock_bh(&nl_emu_lock);
 
 	sock_release(sock);
+	netlink_open_map&=~(1<<unit);
 }
 
 int netlink_post(int unit, struct sk_buff *skb)
